> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Sales Staff

GET https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs

Returns an array of all B2B Edition users who are assigned to a user role that is labelled as Sales Staff.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/sales-staff/get-sales-staffs

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `limit` (integer, optional, default: 10) — Maximum number of results to display per page.
- `offset` (integer, optional, default: 0) — Number of results to skip before displaying the current page.
- `orderBy` (enum, optional, default: DESC) — Sort direction of results, ascending or descending, applied to the `sortBy` parameter.
  - Allowed values: `DESC`, `ASC`
- `companyId` (string, optional) — Unique numeric ID of the Company account.
- `minModified` (integer, optional) — The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
- `sortBy` (enum, optional, default: updated_at) — Field by which data should be sorted in the response.
  - Allowed values: `updated_at`, `email`

## Response

### 200

OK

- `code` (integer, optional, default: 200) — The HTTP Status code of the response.
- `data` (list of any, optional)
- `meta` (SalesStaffsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### SalesStaffsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: SUCCESS)
- `pagination` (pagination, optional)

### pagination

- `limit` (integer, optional, default: 10) — Maximum number of results to display per page.
- `offset` (integer, optional, default: 0) — Number of results to skip before displaying the current page.
- `totalCount` (integer, optional) — The total number of items matching the query.

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "companyCount": 5,
      "email": "string",
      "id": 20135,
      "roleName": "Sales Rep",
      "salesRepName": "Marie Curie"
    }
  ],
  "meta": {
    "message": "SUCCESS",
    "pagination": {
      "limit": 10,
      "offset": 0,
      "totalCount": 179
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs"

querystring = {"companyId":"123456","minModified":"1721835018"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs?companyId=123456&minModified=1721835018")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```